<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./index.css">

    <!-- font link -->

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;1,100&display=swap" rel="stylesheet">
</head>
<body>
    <!-- nav -->
    <nav class="navbar" id="navbar">
	    <ul class="navbar-nav">
	      <li class="">
	        <a class="" href="#landingPage">Home</a>
	      </li>
	      <li class="">
	        <a class="" href="#about-us">About Us</a>
	      </li>
	      <li class="">
	        <a class="" href="#gallery">Gallery</a>
	      </li>
	      <li class="">
	        <a class="nav-link" href="#contact-us">Contact Us</a>
	      </li>
	    </ul>
	  </nav>
    
    <div class="jumbotron" id="landingPage">
        <h1>Online Portfolio</h1>
        <h3>Fullstack Web Developer</h3>
        <h2>Marcus Benedict</h3>
        <img src="https://i.pinimg.com/736x/21/7c/9e/217c9efda03826663697f0754572d12e.jpg" alt="" class="profile-img">
        <p>HI! Welcome and Thankyou for visiting my profile.</p>
    </div>

    <div class="landing-page" id="about-us">
      <div class="landing-page-content">
        <div class="about-us-image">
          <img src="https://i.pinimg.com/736x/21/7c/9e/217c9efda03826663697f0754572d12e.jpg">
        </div>
        <div class="abous-us-text">
            <h2 id="highlightText">Marcus Benedict</h2>
            <p>A SHS Student, currently studying computers in the ICT Strand. My main goal in life is to enjoy life to the fullest while not forgetting my responsibilities. As they say, life is short. I work hard and motivate myself to achive things, i can also easily adapt and a fast learner.</p>
        </div>
      </div>
    </div>
    
     

     <!-- Nav bar Script -->
    <script>
        const nav = document.querySelector('#navbar');

            if (window.scrollY >= 10) {
                nav.classList.add('scrolled')
            }

            window.onscroll = () => {
            if (this.scrollY <= 10) {
                nav.classList.remove('scrolled')
            } else {
                nav.classList.add('scrolled')
            }
        };

        const sections = document.querySelectorAll("div");
        const navLinks = document.querySelectorAll(".navbar ul li a");

        function highlightNavLink() {
          const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
          for (let i = 0; i < sections.length; i++) {
            const section = sections[i];
            const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
            const navLink = navLinks[i];
            if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
              navLink.classList.add("navbar-active");
            } else {
              navLink.classList.remove("navbar-active");
            }
          }
        }

        window.addEventListener("scroll", highlightNavLink);
        const h2Elements = document.querySelectorAll("div h2");
        
        function highlightH2() {
        const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
        for (let i = 0; i < sections.length; i++) {
          const section = sections[i];
          const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
          const h2 = h2Elements[i];
          if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
            h2.classList.add("h2-active");
          } else {
            h2.classList.remove("h2-active");
          }
        }
      }

      window.addEventListener("scroll", highlightH2);

          
            
    </script> 
</body>
</html>
